Skip Menu |
 
rt.cpan.org will be shut down on March 1st, 2021.

This queue is for tickets about the bioperl-run CPAN distribution.

Report information
The Basics
Id: 119265
Status: resolved
Priority: 0/
Queue: bioperl-run

People
Owner: Nobody in particular
Requestors: andreas [...] an3as.eu
carandraug+dev [...] gmail.com
cjfields [...] illinois.edu
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: (no value)



Subject: Latest BioPerl (version 1.7.1) is lacking wrapper support
Date: Fri, 16 Dec 2016 11:02:43 +0100
To: bug-bioperl-run [...] rt.cpan.org, Debian Med Project List <debian-med [...] lists.debian.org>
From: Andreas Tille <andreas [...] an3as.eu>
Download (untitled) / with headers
text/plain 489b
Hi, when trying to run Bioperl-run unit tests while BioPerl 1.7.1 is installed (on a Debian system with the current Debian package in unstable) I get lots of errors of type Can't locate Bio/Tools/Run/WrapperBase.pm in @INC (you may need to install the Bio::Tools::Run::WrapperBase module) When checking BioPerl 1.6.x hat a file Bio/Tools/Run/WrapperBase.pm which was removed in BioPerl 1.7.x and thus lots of tests are failing. Kind regards Andreas. -- http://fam-tille.de
CC: bug-bioperl-run [...] rt.cpan.org, Debian Med Project List <debian-med [...] lists.debian.org>, bioperl mailing list <bioperl-l [...] lists.open-bio.org>
Subject: Re: Latest BioPerl (version 1.7.1) is lacking wrapper support
Date: Fri, 16 Dec 2016 11:11:33 +0000
To: Andreas Tille <andreas [...] an3as.eu>
From: Carnë Draug <carandraug+dev [...] gmail.com>
On 16 December 2016 at 10:02, Andreas Tille <andreas@an3as.eu> wrote: Show quoted text
> Hi, > > when trying to run Bioperl-run unit tests while BioPerl 1.7.1 is > installed (on a Debian system with the current Debian package in > unstable) I get lots of errors of type > > Can't locate Bio/Tools/Run/WrapperBase.pm in @INC (you may need to install the Bio::Tools::Run::WrapperBase module) > > When checking BioPerl 1.6.x hat a file Bio/Tools/Run/WrapperBase.pm > which was removed in BioPerl 1.7.x and thus lots of tests are failing. > > Kind regards > > Andreas.
That module (Bio::Tools::Run::WrapperBase) is now part of bioperl-run [1]. Unfortunately, it seems that there has been no new release of bioperl-run since that change. I am not sure what's the plan for bioperl to make a new release of bioperl-run (adding bioperl mailing list to CC) but can Debian patch bioperl-run to include those files like upstream has done for the next release? Carnë [1] https://github.com/bioperl/bioperl-run/commit/acd57a7d14112c5fd2cd979005b072efdaf57679
CC: bug-bioperl-run [...] rt.cpan.org, Debian Med Project List <debian-med [...] lists.debian.org>, bioperl mailing list <bioperl-l [...] lists.open-bio.org>
Subject: Re: Latest BioPerl (version 1.7.1) is lacking wrapper support
Date: Fri, 16 Dec 2016 13:08:50 +0100
To: Carnë Draug <carandraug+dev [...] gmail.com>
From: Andreas Tille <andreas [...] an3as.eu>
Download (untitled) / with headers
text/plain 845b
Hi Carnë, On Fri, Dec 16, 2016 at 11:11:33AM +0000, Carnë Draug wrote: Show quoted text
> > That module (Bio::Tools::Run::WrapperBase) is now part of bioperl-run [1]. > Unfortunately, it seems that there has been no new release of bioperl-run > since that change.
Thanks for this valuable information. Show quoted text
> I am not sure what's the plan for bioperl to make a new release of > bioperl-run (adding bioperl mailing list to CC) but can Debian patch > bioperl-run to include those files like upstream has done for the > next release?
I'd prefer an official release but if there is no better chance we could surely use[1] as a patch. Please let me know whether we can expect a release soon (=until this weekend). Kind regards Andreas. Show quoted text
-- http://fam-tille.de
From: cjfields [...] cpan.org
Download (untitled) / with headers
text/plain 716b
Will have to release a new bioperl-run, this module has been moved into that distribution. https://github.com/bioperl/bioperl-run/blob/master/lib/Bio/Tools/Run/WrapperBase.pm On Fri Dec 16 05:02:58 2016, andreas@an3as.eu wrote: Show quoted text
> Hi, > > when trying to run Bioperl-run unit tests while BioPerl 1.7.1 is > installed (on a Debian system with the current Debian package in > unstable) I get lots of errors of type > > Can't locate Bio/Tools/Run/WrapperBase.pm in @INC (you may need to > install the Bio::Tools::Run::WrapperBase module) > > When checking BioPerl 1.6.x hat a file Bio/Tools/Run/WrapperBase.pm > which was removed in BioPerl 1.7.x and thus lots of tests are failing. > > Kind regards > > Andreas.
CC: Debian Med Project List <debian-med [...] lists.debian.org>, "bioperl mailing list" <bioperl-l [...] mailman.open-bio.org>, "bug-bioperl-run [...] rt.cpan.org" <bug-bioperl-run [...] rt.cpan.org>
Subject: Re: [Bioperl-l] Latest BioPerl (version 1.7.1) is lacking wrapper support
Date: Fri, 16 Dec 2016 12:38:03 +0000
To: Carnë Draug <carandraug+dev [...] gmail.com>, Andreas Tille <andreas [...] an3as.eu>
From: "Fields, Christopher J" <cjfields [...] illinois.edu>
Download (untitled) / with headers
text/plain 1.5k
On 12/16/16, 5:11 AM, "Bioperl-l on behalf of Carnë Draug" <bioperl-l-bounces+cjfields=illinois.edu@mailman.open-bio.org on behalf of carandraug+dev@gmail.com> wrote: Show quoted text
>On 16 December 2016 at 10:02, Andreas Tille <andreas@an3as.eu> wrote:
>> Hi, >> >> when trying to run Bioperl-run unit tests while BioPerl 1.7.1 is >> installed (on a Debian system with the current Debian package in >> unstable) I get lots of errors of type >> >> Can't locate Bio/Tools/Run/WrapperBase.pm in @INC (you may need to install the Bio::Tools::Run::WrapperBase module) >> >> When checking BioPerl 1.6.x hat a file Bio/Tools/Run/WrapperBase.pm >> which was removed in BioPerl 1.7.x and thus lots of tests are failing. >> >> Kind regards >> >> Andreas.
> >That module (Bio::Tools::Run::WrapperBase) is now part of bioperl-run [1]. >Unfortunately, it seems that there has been no new release of bioperl-run >since that change. > >I am not sure what's the plan for bioperl to make a new release of >bioperl-run (adding bioperl mailing list to CC) but can Debian patch >bioperl-run to include those files like upstream has done for the >next release? > >Carnë > >[1] https://github.com/bioperl/bioperl-run/commit/acd57a7d14112c5fd2cd979005b072efdaf57679
It may be easier to simply make a new bioperl-run release that includes the module. I can probably do that this weekend. We had a similar issue with Bio-Graphics (which uses another removed module, Bio::Coordinate::Pair). That has a separate set of problems associated with version numbering that need to be dealt with. chris Show quoted text
>
CC: Carnë Draug <carandraug+dev [...] gmail.com>, Debian Med Project List <debian-med [...] lists.debian.org>, bioperl mailing list <bioperl-l [...] mailman.open-bio.org>, "bug-bioperl-run [...] rt.cpan.org" <bug-bioperl-run [...] rt.cpan.org>
Subject: Re: [Bioperl-l] Latest BioPerl (version 1.7.1) is lacking wrapper support
Date: Fri, 16 Dec 2016 14:05:50 +0100
To: "Fields, Christopher J" <cjfields [...] illinois.edu>
From: Andreas Tille <andreas [...] an3as.eu>
Download (untitled) / with headers
text/plain 1008b
Hi Christopher, On Fri, Dec 16, 2016 at 12:38:03PM +0000, Fields, Christopher J wrote: Show quoted text
> >bioperl-run (adding bioperl mailing list to CC) but can Debian patch > >bioperl-run to include those files like upstream has done for the > >next release? > > > >Carnë > > > >[1] https://github.com/bioperl/bioperl-run/commit/acd57a7d14112c5fd2cd979005b072efdaf57679
> > It may be easier to simply make a new bioperl-run release that includes the module. I can probably do that this weekend.
I'd really appreciate this. Show quoted text
> We had a similar issue with Bio-Graphics (which uses another removed module, Bio::Coordinate::Pair). That has a separate set of problems associated with version numbering that need to be dealt with.
I stumbled upon this one: https://bugs.debian.org/848105 https://rt.cpan.org/Ticket/Display.html?id=119236 I'm trying to prepare a libbio-coordinate-perl Debian package and hope that this will work with libbio-graphics-perl. Kind regards Andreas. -- http://fam-tille.de
From: cjfields [...] cpan.org
Download (untitled) / with headers
text/plain 1.4k
On Fri Dec 16 06:12:09 2016, carandraug+dev@gmail.com wrote: Show quoted text
> On 16 December 2016 at 10:02, Andreas Tille <andreas@an3as.eu> wrote:
> > Hi, > > > > when trying to run Bioperl-run unit tests while BioPerl 1.7.1 is > > installed (on a Debian system with the current Debian package in > > unstable) I get lots of errors of type > > > > Can't locate Bio/Tools/Run/WrapperBase.pm in @INC (you may need to > > install the Bio::Tools::Run::WrapperBase module) > > > > When checking BioPerl 1.6.x hat a file Bio/Tools/Run/WrapperBase.pm > > which was removed in BioPerl 1.7.x and thus lots of tests are > > failing. > > > > Kind regards > > > > Andreas.
> > That module (Bio::Tools::Run::WrapperBase) is now part of bioperl-run > [1]. > Unfortunately, it seems that there has been no new release of bioperl- > run > since that change. > > I am not sure what's the plan for bioperl to make a new release of > bioperl-run (adding bioperl mailing list to CC) but can Debian patch > bioperl-run to include those files like upstream has done for the > next release? > > Carnë > > [1] https://github.com/bioperl/bioperl- > run/commit/acd57a7d14112c5fd2cd979005b072efdaf57679
Yep, this is also reported in a separate ticket: https://rt.cpan.org/Public/Bug/Display.html?id=119265 There are a few issues that should be addressed and may be difficult to do by this weekend, namely samtools issues and an undeclared dependency for Bio::FeatureIO.
Download (untitled) / with headers
text/plain 1.6k
The original issue reported appears to be fixed in the latest releases (1.7.1, 1.7.2). Feel free to reopen if this isnt addressed. On Fri Dec 16 07:18:24 2016, cjfields@cpan.org wrote: Show quoted text
> On Fri Dec 16 06:12:09 2016, carandraug+dev@gmail.com wrote:
> > On 16 December 2016 at 10:02, Andreas Tille <andreas@an3as.eu> wrote:
> > > Hi, > > > > > > when trying to run Bioperl-run unit tests while BioPerl 1.7.1 is > > > installed (on a Debian system with the current Debian package in > > > unstable) I get lots of errors of type > > > > > > Can't locate Bio/Tools/Run/WrapperBase.pm in @INC (you may need to > > > install the Bio::Tools::Run::WrapperBase module) > > > > > > When checking BioPerl 1.6.x hat a file Bio/Tools/Run/WrapperBase.pm > > > which was removed in BioPerl 1.7.x and thus lots of tests are > > > failing. > > > > > > Kind regards > > > > > > Andreas.
> > > > That module (Bio::Tools::Run::WrapperBase) is now part of bioperl-run > > [1]. > > Unfortunately, it seems that there has been no new release of > > bioperl- > > run > > since that change. > > > > I am not sure what's the plan for bioperl to make a new release of > > bioperl-run (adding bioperl mailing list to CC) but can Debian patch > > bioperl-run to include those files like upstream has done for the > > next release? > > > > Carnë > > > > [1] https://github.com/bioperl/bioperl- > > run/commit/acd57a7d14112c5fd2cd979005b072efdaf57679
> > Yep, this is also reported in a separate ticket: > > https://rt.cpan.org/Public/Bug/Display.html?id=119265 > > There are a few issues that should be addressed and may be difficult > to do by this weekend, namely samtools issues and an undeclared > dependency for Bio::FeatureIO.


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.